Skip to main content

Trigger catalog sync

Trigger the catalog sync process for a given catalog.

Path Parameters
catalog_name string — REQUIRED

Fully qualified name of the dataset

Query Parameters
since_time string
search_regex string
Responses
201

Catalog sync started.

Schema — OPTIONAL
id string
startTime int64 — OPTIONAL
endTime int64 — OPTIONAL
durationInSec int32 — OPTIONAL
processedRecords int32 — OPTIONAL
totalToProcess int32 — OPTIONAL
failedToProcess int32 — OPTIONAL
error object — OPTIONAL
catalogSyncStatus string — OPTIONAL

Possible values: [not_running, queued, running, finished, failed, skipped]

401

Unauthorized access.